Bug 435258 - F9 Alpha - anaconda generated wrong grub.conf
F9 Alpha - anaconda generated wrong grub.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 06:56 EST by Nicole Dai
Modified: 2008-05-25 23:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: F9 GA
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-25 23:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicole Dai 2008-02-28 06:56:43 EST
Description of problem:
In a multiple operating systems installed disk (eg. /dev/sda) which does not
have a /boot partition and does use chain-load from GRUB (the /dev/sda1 system
provided GRUB) to load each one, install F9 alpha to one of the partitions, such
as /dev/sda3. After the installation try starting F9 alpha, it loaded the
/dev/sda1 system. It looked that the kernel of F9 alpha WRONGLY used
'root=LABEL=/' rather than 'root=LABEL=/dev/sda3' to load its own file system.
And then loading /dev/sda1 from GRUB directly failed. 

Version-Release number of selected component (if applicable):
Fedora 9 Alpha
anaconda-11.4.0.28-1

How reproducible:
Always
Comment 1 Jeremy Katz 2008-03-02 12:36:01 EST
Can you reproduce this with later rawhide trees?
Comment 2 Bug Zapper 2008-05-14 01:40:49 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Balaji G 2008-05-24 11:40:14 EDT
Hi 

Thank you for the bug report. Though the release version is changed to fedora 9
from Fedora 9 Alpha, I would really appreciate if you could give us details on
whether you are able to reproduce this bug in Fedora 9 too ? . Please give us
the details on that and so currently i would mark this bug's status as NEEDINFO.

Cheers
Balaji
Comment 4 Nicole Dai 2008-05-25 23:31:03 EDT
Hi, Balaji
Thanks for your kindly reminder. I retested it with anaconda-11.4.0.82-1 in F9
GA and found the problem has been fixed already. So I am closing the bug. 

Note You need to log in before you can comment on or make changes to this bug.